Show / Hide Table of Contents

# Interface IVoiceChannel

Represents a generic voice channel in a guild.

##### Inherited Members

INestedChannel.CategoryId
INestedChannel.GetCategoryAsync(CacheMode, RequestOptions)
INestedChannel.SyncPermissionsAsync(RequestOptions)
INestedChannel.CreateInviteAsync(Nullable<Int32>, Nullable<Int32>, Boolean, Boolean, RequestOptions)
INestedChannel.GetInvitesAsync(RequestOptions)
IGuildChannel.Position
IGuildChannel.Guild
IGuildChannel.GuildId
IGuildChannel.PermissionOverwrites
IGuildChannel.ModifyAsync(Action<GuildChannelProperties>, RequestOptions)
IGuildChannel.GetPermissionOverwrite(IRole)
IGuildChannel.GetPermissionOverwrite(IUser)
IGuildChannel.RemovePermissionOverwriteAsync(IRole, RequestOptions)
IGuildChannel.RemovePermissionOverwriteAsync(IUser, RequestOptions)
IGuildChannel.AddPermissionOverwriteAsync(IRole, OverwritePermissions, RequestOptions)
IGuildChannel.AddPermissionOverwriteAsync(IUser, OverwritePermissions, RequestOptions)
IGuildChannel.GetUsersAsync(CacheMode, RequestOptions)
IGuildChannel.GetUserAsync(UInt64, CacheMode, RequestOptions)
IDeletable.DeleteAsync(RequestOptions)
IAudioChannel.ConnectAsync(Boolean, Boolean, Boolean)
IAudioChannel.DisconnectAsync()
IChannel.Name
ISnowflakeEntity.CreatedAt
IEntity<UInt64>.Id

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public interface IVoiceChannel : INestedChannel, IGuildChannel, IDeletable, IAudioChannel, IChannel, ISnowflakeEntity, IEntity<ulong>

### Properties

| Improve this Doc View Source

#### Bitrate

Gets the bit-rate that the clients in this voice channel are requested to use.

##### Declaration

    int Bitrate { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 | An System.Int32 representing the bit-rate (bps) that this voice channel defines and requests the client(s) to use.

| Improve this Doc View Source

#### UserLimit

Gets the max number of users allowed to be connected to this channel at once.

##### Declaration

    int? UserLimit { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Int32> | An System.Int32 representing the maximum number of users that are allowed to be connected to this channel at once; `null` if a limit is not set.

### Methods

| Improve this Doc View Source

#### ModifyAsync(Action<VoiceChannelProperties>, RequestOptions)

Modifies this voice channel.

##### Declaration

    Task ModifyAsync(Action<VoiceChannelProperties> func, RequestOptions options = null)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Action<VoiceChannelProperties> | func | The properties to modify the channel with.
RequestOptions | options | The options to be used when sending the request.

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task | A task that represents the asynchronous modification operation.

##### See Also

VoiceChannelProperties